#
# File: rsbac/data_structures/Makefile
#
# Makefile for the RSBAC data structures.
#
# Author and (c) 1999 Amon Ott
#

O_TARGET := data_structures.o
O_OBJS   :=
OX_OBJS  := aci_data_structures.o
M_OBJS   :=

# Adding policy dependant data structures

ifeq ($(CONFIG_RSBAC_PM),y)
O_OBJS += pm_data_structures.o
endif

ifeq ($(CONFIG_RSBAC_RC),y)
O_OBJS += rc_data_structures.o
endif
ifeq ($(CONFIG_RSBAC_RC_MAINT),y)
O_OBJS += rc_data_structures.o
endif

ifeq ($(CONFIG_RSBAC_AUTH),y)
O_OBJS += auth_data_structures.o
endif
ifeq ($(CONFIG_RSBAC_AUTH_MAINT),y)
O_OBJS += auth_data_structures.o
endif

ifeq ($(CONFIG_RSBAC_ACL),y)
O_OBJS += acl_data_structures.o
endif
ifeq ($(CONFIG_RSBAC_ACL_MAINT),y)
O_OBJS += acl_data_structures.o
endif


include $(TOPDIR)/Rules.make
